Test notification
GET
/v1/notificationtarget/{id}/test-notify/
const url = 'https://example.com/v1/notificationtarget/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test-notify/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/notificationtarget/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test-notify/ \ --header 'Authorization: Bearer <token>'Send a test notification to this target.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this notification target.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
display_name
required
string
target
string
time_from
string format: time
time_to
string format: time
notify_on_monday
boolean
notify_on_tuesday
boolean
notify_on_wednesday
boolean
notify_on_thursday
boolean
notify_on_friday
boolean
notify_on_saturday
boolean
notify_on_sunday
boolean
notify_on_ok
boolean
notify_on_warning
boolean
notify_on_critical
boolean
integration
required
string format: uuid
rules
Array<string>
contactsgroups
Array<string>
last_error_message
required
string
private_target
boolean
oncall_count
required
integer
enabled
boolean
Examplegenerated
{ "display_name": "example", "target": "example", "time_from": "example", "time_to": "example", "notify_on_monday": true, "notify_on_tuesday": true, "notify_on_wednesday": true, "notify_on_thursday": true, "notify_on_friday": true, "notify_on_saturday": true, "notify_on_sunday": true, "notify_on_ok": true, "notify_on_warning": true, "notify_on_critical": true, "integration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "rules": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "contactsgroups": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "private_target": true, "enabled": true}